{
  "description": "bsm-lab 서버에서 실행함. postgres 연결.",
  "myHostId": "agent-bsm-lab-postgres",
  "myHostName": "192.168.0.41",
  "myListenPort": 17801,
  "sslEnabled": true,
  "keyStorePath": "D:/projects/bsm-lab/dfx/dfxagent/src/docs/agent-bsm-lab-postgres/cert/dfxagent-bsm-lab-postgres.p12",
  "keyStorePassword": "qortpals1!",
  "keyStoreAlias": "agent-bsm-lab-postgres",
  "trustStorePath": "D:/projects/bsm-lab/dfx/dfxagent/src/docs/agent-bsm-lab-postgres/cert/truststore-bsm-lab-postgres.jks",
  "trustStorePassword": "qortpals1!",
  "knownAgentList": [
    {
      "hostId": "agent-tuf-a15-defree-oracle",
      "hostName": "192.168.0.41",
      "listenPort": 63801,
      "sslEnabled": true,
      "dropBoxIdList": [
      ],
      "routingHostIdList": [
        "agent-tuf-a15-defree-oracle"
      ]
    }
  ],
  "statusChecker": {
    "cron": "0/5 * * * * *",
    "consoleHostName": "tof.bsm-lab.com",
    "consoleListenPort": 443,
    "consoleSslEnabled": true
  },
  "dataSourceConfig": [
    {
      "dataSourceId": "ds-postgres",
      "driverClassName": "org.postgresql.Driver",
      "url": "jdbc:postgresql://bsm-lab.com:5432/defree",
      "username": "defreeadmin",
      "password": "qortpals1!",
      "initialSize": 10,
      "minIdle": 10,
      "maxIdle": 30,
      "maxTotal": 300,
      "maximumRowForTransaction": 1000
    }
  ],
  "sqlMapperLocations": [
    "D:/projects/bsm-lab/dfx/dfxagent/src/docs/agent-bsm-lab-postgres/conf/mappers/**/*.xml"
  ],
  "logging": {
    "logDirectory": "D:/projects/bsm-lab/dfx/dfxagent/src/docs/agent-bsm-lab-postgres/logs",
    "logFileName": "dfxagent.log",
    "logName": "DFX_LOG",
    "maxHistory": 30,
    "logPattern": "%d{yyyy-MM-dd HH:mm:ss} [%thread] %-5level %logger{36} - %msg%n",
    "rootLogLevel": "DEBUG",
    "packages": [
      {"com.bsmlab.dfx.agent": "DEBUG"},
      {"jdbc.timing": "DEBUG"},
      {"jdbc.sqltiming": "OFF"},
      {"jdbc.sqlonly": "OFF"},
      {"jdbc.audit": "OFF"},
      {"jdbc.resultset": "OFF"},
      {"jdbc.resultsettable": "OFF"},
      {"jdbc.connection": "OFF"},
      {"org.springframework": "INFO"}
    ]
  },
  "dropBoxConfig": {
    "sentMessageStorageRoot": "D:/projects/bsm-lab/dfx/dfxagent/src/docs/agent-bsm-lab-postgres/messages/sent",
    "receivedMessageStorageRoot": "D:/projects/bsm-lab/dfx/dfxagent/src/docs/agent-bsm-lab-postgres/messages/received",
    "processedMessageStorageRoot": "D:/projects/bsm-lab/dfx/dfxagent/src/docs/agent-bsm-lab-postgres/messages/processed",
    "failureMessageStorageRoot": "D:/projects/bsm-lab/dfx/dfxagent/src/docs/agent-bsm-lab-postgres/messages/failure",
    "manualMessageStorageRoot": "D:/projects/bsm-lab/dfx/dfxagent/src/docs/agent-bsm-lab-postgres/messages/manual",
    "threadPoolSize": 300,
    "retentionDaysOfProcessedMessage": 60,
    "dropBoxList": [
      {
        "dropBoxId": "dropbox-ttoBd",
        "taskType": "RECEIVE_DB_TO_DB_SAVE",
        "dataSourceId": "ds-postgres",
        "sqlId": "address.dropbox.cubrid.ttoBd.insertTtoBd"
      }
    ]
  },
  "postmanConfig": {
    "threadPoolSize": 30,
    "postmanList": [
    ]
  }
}
